%define name gtkeyboard
%define version 1.0
%define release 3mdk

Summary: Graphical Keyboard
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Toys
Source0: %{name}-%{version}.tar.bz2
Source1: gtkeyboard.menu.bz2
Source2: gtkeyboard16.xpm.bz2
Source3: gtkeyboard32.xpm.bz2
Source4: gtkeyboard48.xpm.bz2
URL: http://opop.nols.com/
Requires: gtk+ >= 1.2.0
BuildRoot: %{_tmppath}/gtkeyboard

%description
GTKeyboard is an application meant to help users with physical
disabilities who may be unable to use the keyboard all the time to
type text using a graphically laid out keyboard.  It is also used by
people who are simply a little bit lazy.  At this point, it has 
support for several foreign keyboards as well as ability to redirect
keypresses to other X11 applications

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure 
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
/usr/bin/install gtkeyboard $RPM_BUILD_ROOT/usr/bin

#install menu
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/usr/lib/menu/gtkeyboard
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/large
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/share/icons/mini/gtkeyboard.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/usr/share/icons/gtkeyboard.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/usr/share/icons/large/gtkeyboard.xpm

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING INSTALL README about.data MANUAL.html COMPILING example.gtkeyboardrc	KEY/FR.key KEY/IT.key KEY/DE.key KEY/QWERTY.key KEY/UK.key KEY/ES.key
/usr/bin/gtkeyboard
/usr/lib/menu/gtkeyboard
/usr/share/icons/mini/gtkeyboard.xpm
/usr/share/icons/gtkeyboard.xpm
/usr/share/icons/large/gtkeyboard.xpm

%changelog
* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 1.0-3mdk
Added 32x32 and 48x48 icons

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 1.0-2mdk
- remove menu icon path

* Tue Apr 20 2000 DindinX <odin@mandrakesoft.com> 1.0-1mdk
- 1.0 (stable version)

* Tue Apr 11 2000 DindinX <odin@mandrakesoft.com> 0.99-2mdk
- Added a nice Hlne's icon for the menu entry

* Sun Apr  2 2000 DindinX <odin@mandrakesoft.com> 0.99-1mdk
- New version

* Wed Mar 29 2000 DindinX <odin@mandrakesoft.com> 0.98.5-4mdk
- Add menu

* Tue Mar 28 2000 DindinX <odin@mandrakesoft.com> 0.98.5-3mdk
- change group

* Thu Mar 02 2000 Lenny Cartier <lenny@mandrakesoft.com>
- fix group

* Thu Feb 24 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
 
* Fri Sep 10 1999 David Allen <s2mdalle@titan.vcu.edu>
- Build rpm for version 0.98     
